using IceCreamShopDataModels.Models;
using System.ComponentModel;

namespace IceCreamShopContracts.ViewModels
{
    public class IceCreamViewModel : IIceCreamModel
    {
        public int Id { get; set; }

        [DisplayName("Название мороженого")]
        public string IceCreamName { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        public Dictionary<int, (IComponentModel, int)> IceCreamComponents
        {
            get;
            set;
        } = new();
    }
}